package org.gcube.dataharvest.dao;

/**
 * @author Eric Perrone (ISTI - CNR)
 * @author Luca Frosini (ISTI - CNR)
 */
public class DatabaseConnectionData {
	
	protected String uri;
	protected String user;
	protected String password;
	
	public DatabaseConnectionData() {
		this.uri = null;
		this.user = null;
		this.password = null;
	}
	
	public DatabaseConnectionData(String uri, String user, String password) {
		this.uri = uri;
		this.user = user;
		this.password = password;
	}
	
	public String getURI() {
		return uri;
	}
	
	public void setURI(String uri) {
		this.uri = uri;
	}
	
	public String getUser() {
		return user;
	}
	
	public void setUser(String user) {
		this.user = user;
	}
	
	public String getPassword() {
		return password;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}
	
	@Override
	public String toString() {
		return this.getClass().getSimpleName() + " [uri =" + uri + ", user=" + user + ", password=" + password + "]";
	}
}
