/**
 *
 */
package org.gcube.dataharvest.datamodel;


/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 22, 2018
 */
public enum HarvestedDataKey {

	ACCESSES(1),
	USERS(2),
	DATA_METHOD_DOWNLOAD(3),
	NEW_CATALOGUE_METHODS(4),
	NEW_CATALOGUE_DATASETS(5),
	NEW_CATALOGUE_DELIVERABLES(6),
	NEW_CATALOGUE_APPLICATIONS(7),
	SOCIAL_POSTS(8),
	SOCIAL_REPLIES(9),
	SOCIAL_LIKES(10),
	METHOD_INVOCATIONS(11),
	VISUAL_TOOLS(12);

	private int value;

	HarvestedDataKey(int value){
		this.value = value;
	}


	/**
	 * @return the value
	 */
	public int getValue() {

		return value;
	}

}
